GET api/cleanroomapi/cleanroomsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_type_id": "668ae4dc-d6bc-45b1-a0e4-6c238e9e9642",
"communication_server_id": "2fb0c860-4d08-4bb7-89e9-0903446cc874",
"id": "c30ae294-02ac-4ce7-b661-d4a295da1448",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
},
{
"active": true,
"cleanroom_type_id": "668ae4dc-d6bc-45b1-a0e4-6c238e9e9642",
"communication_server_id": "2fb0c860-4d08-4bb7-89e9-0903446cc874",
"id": "c30ae294-02ac-4ce7-b661-d4a295da1448",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
]
application/xml, text/xml
Sample:
<ArrayOfcleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<cleanroom>
<active>true</active>
<cleanroom_type_id>668ae4dc-d6bc-45b1-a0e4-6c238e9e9642</cleanroom_type_id>
<communication_server_id>2fb0c860-4d08-4bb7-89e9-0903446cc874</communication_server_id>
<id>c30ae294-02ac-4ce7-b661-d4a295da1448</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
<cleanroom>
<active>true</active>
<cleanroom_type_id>668ae4dc-d6bc-45b1-a0e4-6c238e9e9642</cleanroom_type_id>
<communication_server_id>2fb0c860-4d08-4bb7-89e9-0903446cc874</communication_server_id>
<id>c30ae294-02ac-4ce7-b661-d4a295da1448</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
</ArrayOfcleanroom>